#cssmenu{float:left;width:100%;  transition: all 0.5s ease 0s; }
#cssmenu #menu-button{display:none;}
#cssmenu > ul{ margin:0px -0.5rem 0 0;}
#cssmenu > ul > li{display:inline-block;vertical-align:top;list-style-type:none; margin:0px 0px 0 0px; position:relative;  }
#cssmenu > ul > li:last-child{ margin-right:0px;}
#cssmenu > ul > li:first-child:before{ display:none}
#cssmenu > ul > li > a{display:inline-block;font-size:var(--fontsize);font-weight:600;text-decoration:none;padding: 0.563rem 1.5rem;margin:0 0px;color:var(--black);text-transform: uppercase;}
#cssmenu > ul > li.menu-item-has-children > a{ padding-right:1.5rem}
#cssmenu > ul > li a:hover{text-decoration:none; color:var(--primary);  }
#cssmenu > ul > li a:hover:before{ background:var(--primary);  }
#cssmenu > ul > li.current-menu-item > a:before{background: var(--primary); content:""; width:50%; height:1px;left: 50%; transform: translateX(-50%);margin-left:0px;}	
#cssmenu > ul > li.current-product-parent > a:before{background: var(--black) ; content:""; position:absolute; left:0px; bottom:8px; width:50%; height:1px; left: 50%; transform: translateX(-50%);} 	
#cssmenu > ul > li a::before { background: var(--primary); content: ""; position: absolute; left: 50%; bottom: 5px; width: 0%; height: 1px; transition: all .5s ease 0s; z-index: 1; transform: translateX(-50%);}
#cssmenu > ul > li.current-menu-item > a{text-decoration:none;color:var(--black); }
#cssmenu > ul > li.current-menu-parent > a{text-decoration:none; color:var(black) ; }
#cssmenu > ul > li.current-menu-item a{color:var(--primary) ; font-weight: 600;}
#cssmenu > ul > li a:hover::before { width: 50%; height: 1px; }
#cssmenu > ul > li.menu-item-has-children > a:after {  display: none; right:11px;  font-weight:600;   top: calc(50% - 15px/4);  content: '\f107'; position: absolute; font-size:13px; z-index: 1; font-family: 'Font Awesome 5 Free';  line-height: 1; }
.sub-menu { width: 280px; position: absolute; background: #fff; z-index: 100; transition: all 650ms ease; margin: -1px 0 0 0px; left: 15px; border: 1px solid rgba(0, 0, 0, 0.1);  padding: 8px 12px;  border-bottom:none;}
#cssmenu ul li ul li.menu-item-has-children:after { position: absolute; content: '';  top:50%; right:15px;  font-weight:400;   width:6px; height:6px; border-right:#000 solid 1px; border-bottom:#000 solid 1px; top: calc(50% - 8px/2); transform: rotate(-45deg);}
#cssmenu ul li ul li.menu-item-has-children a:after { position: absolute; content: '';  top:50%; right:15px;  font-weight:400;   width:6px; height:6px; border-right:#000 solid 1px; border-bottom:#000 solid 1px; top: calc(50% - 8px/2); transform: rotate(-45deg);}
#cssmenu ul li ul li.menu-item-has-children:hover:after { position: absolute; content: '';  top:50%; right:15px;  font-weight:400;   width:6px; height:6px; border-right:#695d4b solid 1px; border-bottom:#695d4b solid 1px; top: calc(50% - 8px/2); transform: rotate(-45deg);}
#cssmenu ul li ul li.menu-item-has-children li a:after{ display:none;}
.sub-menu .sub-menu{ top:0rem; left:160%; border-top:0; border-left:var(--primary) solid 3px; }
.sub-menu li:hover > .sub-menu{ top:0; left:99.5%;}
#cssmenu ul ul li{list-style-type:none;     position: relative;     border-bottom: 1px solid rgba(0, 0, 0, 0.1); padding: 4px 0;}
#cssmenu ul ul li:last-child{border-bottom:none}
#cssmenu ul ul li.menu_head { margin-top:5px; }
#cssmenu ul ul li.menu_head a { font-size:20px; color: #fff;  padding: 0px 20px 0px; }
#cssmenu ul ul li.menu_head a:hover { text-decoration:none; }
#cssmenu ul ul li.menu_head a:before { display:none; }
#cssmenu ul ul li br{display:none;}
#cssmenu ul ul li a {display:block; font-size:0.938rem; text-decoration:none;color:#675D4D !important;font-weight:400; position: relative;  line-height: 1.3; padding: 4px 0; }
#cssmenu ul ul li a:hover  { color:var(--Darkblue) !important; }
#cssmenu ul ul ul:hover > ul ul li a{background:var(--primary); color:#fff;}
#cssmenu ul ul li a:before { content:''; color: #fff; position: absolute; left:0px; display:none }
#cssmenu ul ul li a:hover:after{display:none;}
#cssmenu.small-screen{display:inline-block;vertical-align:top; } 
#cssmenu.small-screen ul{width:100%;display:none;margin-top:25px;position:absolute;left:0;z-index:999;background:#fff;text-align:left;text-align: left; padding: 0px 20px;}
#cssmenu.small-screen.align-center > ul{text-align:left;}
#cssmenu.small-screen ul li{width:100%;border-bottom: 1px solid rgba(0, 0, 0, 0.1);position:relative;margin-bottom: 2px;}
#cssmenu.small-screen ul li a,
#cssmenu.small-screen ul ul li a{width:calc(100% - 45px);border-bottom:0;padding:15px 47px 13px 20px;color:var(--primary); text-transform:uppercase;font-weight:700; font-size:15px}
#cssmenu.small-screen ul ul li:hover > a,
#cssmenu.small-screen ul ul,
#cssmenu.small-screen ul ul ul,
#cssmenu.small-screen.align-right ul ul{position:relative;left:0;top:0;width:100%;margin:0;text-align:left;}
#cssmenu.small-screen > ul > li.has-sub > a:after,
#cssmenu.small-screen > ul > li.has-sub > a:before,
#cssmenu.small-screen ul ul > li.has-sub > a:after,
#cssmenu.small-screen ul ul > li.has-sub > a:before{display:none;}
#cssmenu.small-screen #menu-button { display: block; cursor: pointer; position: absolute; top:50%; width: 30px;height: 30px; right: 15px; z-index: 99; background: var(--primary); transition: all 0.5s ease 0s; border-radius:5px;      transform: translateY(-50%); margin-top:9px;} 	
#cssmenu.small-screen #menu-button:after { position: absolute; top: 14px;  right: 6px; display: block; height: 8px; width: 18px; border-top: 2px solid var(--white); border-bottom: 2px solid var(--white); content: ''; }
#cssmenu.small-screen #menu-button:before { position: absolute; top: 8px;  right: 6px; display: block; height: 2px; width: 18px; background: var(--white); content: ''; }
#cssmenu.small-screen #menu-button.menu-opened:after { top: 14px; border: 0; height: 2px; width: 18px; background: var(--white);  -webkit-transform: rotate(45deg); -moz-transform: rotate(45deg); -ms-transform: rotate(45deg); -o-transform: rotate(45deg); transform: rotate(45deg);}
#cssmenu.small-screen #menu-button.menu-opened:before { top: 14px; background: var(--white); width: 18px; -webkit-transform: rotate(-45deg); -moz-transform: rotate(-45deg); -ms-transform: rotate(-45deg);  -o-transform: rotate(-45deg); transform: rotate(-45deg);}
#cssmenu.small-screen .submenu-button { position: absolute; z-index: 99; right: 0; top: 0; display: block; height: 44px; width: 44px; cursor: pointer; background: var(--primary);}

#cssmenu.small-screen .submenu-button.submenu-opened { background: var(--primary); }

#cssmenu.small-screen .submenu-button::after { position: absolute;top: 21px;right: 16px; width: 15px; height: 3px; display: block; background:var(--white); content: '';}

#cssmenu.small-screen .submenu-button.submenu-opened:after { background:var(--white);}

#cssmenu.small-screen .submenu-button::before { position: absolute;top: 15px;right: 22px;display: block;width: 3px;height: 15px;background:var(--white); content: '';}

#cssmenu.small-screen .submenu-button.submenu-opened::before { display:none; }









@media (min-width:1024px){

.cssmenu li:hover > .sub-menu{   display:block !important }

.sub-menu{ animation: growDown 850ms ease-in-out forwards;  transform-origin: top center; display:none !important;  

    text-align: left;

}

@keyframes growDown {

  0% 

  { transform: scaleY(0) 

  }

  80% {

    transform: scaleY(1)

  }

  100% {

    transform: scaleY(1)

  }

}	
}

@media (max-width:1200px){
	#cssmenu > ul > li > a{ font-size: 1rem;}
	#cssmenu > ul > li > a{ padding: 0.85rem 0.60rem;}
	#cssmenu > ul > li.current-menu-item > a::before{display:none !important;}
	#cssmenu > ul > li::before, #cssmenu > ul > li > a:hover::before{display:none}
	#cssmenu > ul > li{ margin:0 0px}
	#cssmenu ul li ul li.menu-item-has-children:after{display:none;}
	#cssmenu.small-screen ul li ul li a{ color:#000;  font-size:13px; padding: 10px 0 10px 0px;     font-weight: normal;}
	#cssmenu.small-screen ul li ul li a:hover{ color:#fff;  font-size:13px}
	#cssmenu.small-screen ul li a, #cssmenu.small-screen ul ul li a{ padding: 12px 47px 12px 0px;}	
}
@media (max-width:1024px){
.site-header .cw-header-right{ position:inherit !important}
}

@media (max-width:1024px){
  #cssmenu.small-screen #menu-button { top: 40%;}    
  }
@media (max-width:992px){
#cssmenu.small-screen #menu-button{ right:10px;}
#cssmenu  ul#menu-top-nav{display:none}
#cssmenu.small-screen ul{  margin-top: 40px;     width: calc(100% - 0px); left:0px; padding:15px; height:auto;}
.menu.with-indicator.open { display: block; height: calc(100vh - 68px); overflow-y: scroll; }
.site-header.stricky #cssmenu > ul > li > a{font-size:15px}
.site-header.stricky #cssmenu.small-screen ul, #cssmenu.small-screen ul {   margin-top: 33px; }
.site-header.stricky #cssmenu.small-screen ul ul, #cssmenu.small-screen ul ul{ margin-top:0px;}
#cssmenu.small-screen ul ul{ padding:0 15px}

}

